Search order extra fields
Required access scopes
Path params
Param
Type
Description
Headers
Header
Format
Description
Response JSON
Field
Type
Description
Last updated
Was this helpful?
GET https://app.ecwid.com/api/v3/{storeId}/orders/{orderId}/extraFields
Request:
GET /api/v3/1003/orders/JJ5HH/extraFields HTTP/1.1
Authorization: Bearer secret_token
Host: app.ecwid.comResponse:
[
{
"id": "tips",
"value": "3%",
"customerInputType": "TOGGLE_BUTTON_GROUP",
"title": "Support our pet shop with a small donation",
"orderDetailsDisplaySection": "",
"orderBy": "0"
}
]Your app must have the following access scopes to make this request: read_orders
All path params are required.
storeId
number
Ecwid store ID.
orderId
string
Order ID. Can contain prefixes and suffixes, for example: EG4H2,J77J8,SALE-G01ZG
The Authorization header is required.
Authorization
Bearer secret_ab***cd
Access token of the application.
A JSON object with the following fields:
id
string
Unique order extra field ID.
value
string
Value saved to the order extra field.
customerInputType
string
Extra field type.
One of:
TEXT
TEXTAREA
SELECT
CHECKBOX
TOGGLE_BUTTON_GROUP
RADIO_BUTTONS
DATETIME
LABEL
title
string
Name visible at the checkout above the extra field.
orderDetailsDisplaySection
string
Defines where on the order details page the extra field is shown to the store owner.
One of:
shipping_info - Order shipping details.
billing_info - Order payment details.
customer_info - Details about the customer.
order_comments - Order comments left by the customer.
orderBy
string
Number that defines the extra field position in Ecwid admin.
The smaller the number, the higher the position is. Starts with "0" and iterates by 1.
showInNotifications
boolean
Defines if extra field should be visible in order emails sent to the customer. Disabled by default (false).
The orderDetailsDisplaySection value defines where the extra field will appear.
showInInvoice
boolean
Defines if the extra field should be visible in order tax invoices.
Last updated
Was this helpful?
Was this helpful?
